> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GSTIN details



## OpenAPI

````yaml get /v1/utils/gstin/{gstin}
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v1/utils/gstin/{gstin}:
    get:
      tags:
        - Utility
      summary: Get GSTIN details
      operationId: get_utils
      parameters:
        - name: gstin
          in: path
          description: GSTIN Number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GSTResponseModel'
        '400':
          description: error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GSTErrorModel'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GSTErrorModel'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GSTErrorModel'
components:
  schemas:
    GSTResponseModel:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: false
        message:
          type: string
          description: Message
          example: ''
        error_code:
          type: string
          description: Error Code
          example: ''
        errors:
          type: object
          properties: {}
          description: Error details
        data:
          $ref: '#/components/schemas/GSTGetResponse'
    GSTErrorModel:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: false
        message:
          type: string
          description: Message
          example: ''
        error_code:
          type: string
          description: Error Code
          example: ''
        errors:
          type: object
          properties: {}
          description: Error details
        data:
          type: object
          properties: {}
          description: Data
    GSTGetResponse:
      type: object
      properties:
        company_name:
          type: string
          description: Company Name
          example: XYZ Company
        trade_name:
          type: string
          description: Trade Name
          example: XYZ Company
        legal_name:
          type: string
          description: Legal Name
          example: XYZ Company
        status:
          type: string
          description: Status
        is_sez:
          type: boolean
          description: Sez
        is_ecom:
          type: boolean
          description: ECom
        billing:
          $ref: '#/components/schemas/BillingAddress'
    BillingAddress:
      type: object
      properties:
        address_1:
          type: string
          description: Address Line 1
          example: 123 Street
        address_2:
          type: string
          description: Address Line 2
          example: Apt 4B
        city:
          type: string
          description: City
          example: City Name
        pincode:
          type: string
          description: Pincode
          example: '123456'
        state:
          type: string
          description: State
          example: State Name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````